<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\IndicatorsSectorsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\IndicatorsSectorsTable Test Case
 */
class IndicatorsSectorsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\IndicatorsSectorsTable
     */
    public $IndicatorsSectors;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.indicators_sectors',
        'app.sectors',
        'app.units',
        'app.groups',
        'app.health_insurance_plans',
        'app.hospitalizations',
        'app.origins',
        'app.signs',
        'app.goals',
        'app.goals_units',
        'app.users',
        'app.roles',
        'app.log',
        'app.units_users',
        'app.types',
        'app.professional_sectors',
        'app.rooms'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('IndicatorsSectors') ? [] : ['className' => 'App\Model\Table\IndicatorsSectorsTable'];
        $this->IndicatorsSectors = TableRegistry::get('IndicatorsSectors', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->IndicatorsSectors);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
